package org.dromara.system.service.reservat;


import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.system.domain.reservat.bo.XiaoyuanReservatConfigBo;
import org.dromara.system.domain.reservat.vo.XiaoyuanReservatConfigVo;
import java.util.Collection;
import java.util.List;


/**
 * 校园预约配置Service接口
 *
 * @author boman
 * @date 2023-09-12
 */
public interface IXiaoyuanReservatConfigService {

    /**
     * 查询校园预约配置
     */
    XiaoyuanReservatConfigVo queryById(Long reservatConfigId);

    /**
     * 查询校园预约配置列表
     */
    TableDataInfo<XiaoyuanReservatConfigVo> queryPageList(XiaoyuanReservatConfigBo bo, PageQuery pageQuery);

    /**
     * 查询校园预约配置列表
     */
    List<XiaoyuanReservatConfigVo> queryList(XiaoyuanReservatConfigBo bo);

    /**
     * 新增校园预约配置
     */
    Boolean insertByBo(XiaoyuanReservatConfigBo bo);

    /**
     * 修改校园预约配置
     */
    Boolean updateByBo(XiaoyuanReservatConfigBo bo);

    /**
     * 校验并批量删除校园预约配置信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
